<?php 

defined( 'ADMIN_MOD_DIR' ) OR DIE;


//! A title for the menu;

$menu_title = 'ticket';


// Create a support ticket {Parent} Menu

$contact = uss::$global['menu']->add( $menu_title , array(
	'label' => 'Support',
	'icon' => "<i class='mdi mdi-headset fs-20px'></i>"
));


/*
	If the file path matches "dashboard/support"
	Then make the menu active;
*/

$SUPPORT_PATH = DASHBOARD_FOCUS_URI . "/support";

$contact->set_attr( 'active', preg_match("~^{$SUPPORT_PATH}~", $_GET['query']) );


/*
	utils/lang - manages the css and javascript of the tickets!
	Required to make a page responsive and beautiful
*/

require realpath( __DIR__ . '/../' ) . "/utils/lang.php";


// Now get the support ticket files

require __DIR__ . '/new.php';
require __DIR__ . '/tickets.php';
require __DIR__ . '/chats.php';